Bug 2057075 (CVE-2022-0934)

Summary: CVE-2022-0934 dnsmasq: Heap use after free in dhcp6_no_relay
Product: [Other] Security Response Reporter: Pedro Sampaio <psampaio>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: NEW --- QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: bdettelb, code, dbecker, dns-sig, dougsland, eglynn, jburrell, jjoyce, jschluet, lhh, lpeer, mburns, pemensik, sclewis, security-response-team, slinaber, spower, veillard, vkumar
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
A single-byte, non-arbitrary write/use-after-free flaw was found in dnsmasq. This flaw allows an attacker who sends a crafted packet processed by dnsmasq, potentially causing a denial of service.
Story Points: ---
Clone Of: Environment:
Last Closed: Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 2063289, 2063290    
Bug Blocks: 2057078    

Description Pedro Sampaio 2022-02-22 17:25:53 UTC
A flaw was found in dnsmasq. A heap use after free issue in the dhcp6 server may lead to remote denial of service via crafted packet.

References:

https://lists.thekelleys.org.uk/pipermail/dnsmasq-discuss/2022q1/016272.html

Comment 1 Petr Menšík 2022-03-11 11:34:13 UTC
This flaw were found independently also by Richard Johnson of Trellix ATR (richard.johnson), reported few days after me to upstream. Should we wait for CVE assignment or fix it just without it? It were not yet made public as far as I know.

Comment 8 juneau 2022-03-29 12:42:09 UTC
marking OSD4 affected/wontfix; dnsmasq present but dhcp6 not used

Comment 13 Petr Menšík 2022-05-02 21:03:43 UTC
I have just checked https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2022-0934 and it is still reserved only. Could that be updated also?